PaymentlinksRpc

moneymotion Docs
Payment Links Get
paymentLinkIdUUID
a Universally Unique Identifier
Match
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Format
uuidResponse Body
curl -X POST "https://api.moneymotion.io/rpc/PaymentLinksGet" \ -H "Content-Type: application/json" \ -d '{ "paymentLinkId": "65854dcb-f544-4848-b04d-cccad43b01a8" }'{
"id": "string",
"storeId": "string",
"slug": "string",
"description": "string",
"status": "string",
"type": "string",
"currency": "string",
"totalInCents": 0,
"intent": "string",
"customerSource": "string",
"intentStatus": "string",
"intentAiReasoning": "string",
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string",
"items": [
{
"id": "string",
"name": "string",
"description": "string",
"pricePerItemInCents": 0,
"quantity": 0
}
],
"usageCount": 0,
"checkouts": [
{
"checkoutSessionId": "string",
"status": "string",
"totalInCents": 0,
"createdAt": "string"
}
]
}